#
# spec file for package fping (Version 2.2b1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         fping
Copyright:    GPL
Group:        Networking/Utilities
Provides:     fping 
Autoreqprov:  on
Version:      2.2b1
Release:      344
Summary:      Ping to multiple hosts
Source:  ftp://ftp.kernel.org/software/admin/mon/fping-%{version}.tar.gz
Patch:   fping-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
fping is a ping-like program which uses the Internet Control
Message Protocol (ICMP) echo request to determine if a target host is
responding. fping differs from ping in a way that you can specify any
number of targets on the command line, or specify a file containing the
lists of targets to ping. Instead of sending pings to one target until
it times out or replies, fping will send out a ping packet and move on
to the next target in a round-robin fashion.
In the default mode, if a target replies, it is noted and removed from
the list of targets to check; if a target does not respond within a
certain time limit and/or retry limit it is designated as unreachable.
fping also supports sending a specified number of pings to a target,
or looping indefinitely (as in ping ).
Unlike ping, fping is meant to be used in scripts, so its output is
designed to be easy to parse.

Authors:
--------
    Roland Schemers <schemers@stanford.edu>
    RL "Bob" Morgan <morgan@stanford.edu>

SuSE series: n

%prep
%setup
%patch

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT/%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog INSTALL README
%doc %{_mandir}/man8/fping.8.gz
/usr/sbin/fping

%changelog -n fping
* Mon Jun 11 2001 - schwab@suse.de
- Fix alignment problem properly.
* Wed Jul 19 2000 - schwab@suse.de
- Fix alignment problem.
- Pass CFLAGS during configure run.
* Thu Apr 13 2000 - nadvornik@suse.cz
- added BuildRoot
* Sat Feb 12 2000 - grimmer@suse.de
- added Group tag to spec file
- use version macro in spec file
- added full URL to Source tag
- use _mandir macro in spec file
- added CXXFLAGS to %%build section
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Apr 22 1999 - ro@suse.de
- fixed for alpha
* Fri Jan 29 1999 - grimmer@suse.de
- new Package (Version 2.2b1)
